inc("../softpack.js");

setTimeout(function (){
	softpack.programsInstalled.add('MyApps','{test-guid}',{
		'DisplayName':'DisplayName',
		'ProductName':'Test Product Name',
		'ProductCode':'{test-guid}',
		'Version':'LiveVersion,DisplayVersion,VersionMajor,VersionMinor',
		'InstallDate':'InstallDate',
		'Vendor':'Publisher',
		'Icon':'DisplayIcon',
		'HelpLink':'HelpLink,URLInfoAbout,URLUpdateInfo',
		'UninstallString':'UninstallString,QuietUninstallString',
		'InstallLocation':'InstallLocation'
	});

	echo('SoftPack version is ' + softpack.version);
	
	var MyAppsGUID = softpack.programsInstalled['MyApps'].GUID;
	test(MyAppsGUID,'{test-guid}');
	test(softpack.programsInstalled[MyAppsGUID].ProductName,'Test Product Name');
		
	//softpack_InitWinInstaller();
	//echo(print_r(softpack.programsInstalled));
	
	softpack_InitRegUninstall();
	echo(print_r(softpack.programsInstalled));
	
	
},1000);
